--
-- attachableFrontloader
-- Specialization for a frontloader attacher joint.
--
-- @author  Templaer
-- @date  30/11/08
--
-- Copyright (C) Templaer

attachableFrontloader = {};

function attachableFrontloader.prerequisitesPresent(specializations)
	Vehicle.registerJointType("frontloaderjoint");
    return true;
end;

function attachableFrontloader:load(xmlFile)
end;

function attachableFrontloader:delete()
end;

function attachableFrontloader:mouseEvent(posX, posY, isDown, isUp, button)
end;

function attachableFrontloader:keyEvent(unicode, sym, modifier, isDown)
end;

function attachableFrontloader:update(dt)
end;

function attachableFrontloader:draw()
end;
